import BackToTopButton from "../../shared/components/backtotop";
import Approach from "../../shared/components/healthcare/ApproachSection";
import Competitions from "../../shared/components/healthcare/Competitions";
import CustomerInsight from "../../shared/components/healthcare/CustomerInsight";
import FirstSection from "../../shared/components/healthcare/FirstSection";
import ProblemsSection from "../../shared/components/healthcare/ProblemsSection";
import SolutionsOfProduct from "../../shared/components/healthcare/SolutionsOfProduct​";

type Props = {};

const Healthcare = (props: Props) => {
  return (
    <div className="flex flex-col gap-4 bg-white ">
      <FirstSection />
      <ProblemsSection />
      <CustomerInsight />
      <Approach />
      <SolutionsOfProduct />
      <Competitions />
      <BackToTopButton />
    </div>
  );
};

export default Healthcare;
